Bug Hunting Session
Bug 92754 - FILESAVE : Excel Chart content type is not exported properly (OLE - docx).
Summary: FILESAVE : Excel Chart content type is not exported properly (OLE - docx).
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Yogesh Bharate
URL:
Whiteboard: target:5.1.0 target:5.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-15 06:03 UTC by Yogesh Bharate
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
file content embedded chart (21.27 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-07-15 06:03 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-07-15 06:03:00 UTC
Created attachment 117243 [details]
file content embedded chart

Steps to reproduce : 
1. Open attached file in LibreOffice.
2. Save as it and create roundtrip file.
3. Open the roundtrip, in MS-Office 2010.

Expected :
When click on chart document icon, chart must open.

Actual : 
When we click on chart document icon. chart show error while opening.
Comment 1 Commit Notification 2015-11-16 09:32:36 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f64e580ff08a6f76327f0b77f79abbbb044d009

tdf#92754: Excel Chart content type is not exported properly.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-12-17 10:01:03 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e190f4c5899c302688e4600a128347356616da64&h=libreoffice-5-0

tdf#92754: Excel Chart content type is not exported properly.

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.